libebook::EBOOKHTMLParser Class Reference documentation

Classes | Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::EBOOKHTMLParser Class Referenceabstract

`#include <EBOOKHTMLParser.h>`

## Classes
struct | State

## Public Types
enum | Dialect { DIALECT_UNKNOWN, DIALECT_HTML, DIALECT_XHTML }

## Public Member Functions
| EBOOKHTMLParser (librevenge::RVNGInputStream *input, Dialect dialect, librevenge::RVNGTextInterface *document)
virtual | ~EBOOKHTMLParser ()
void | parse ()
const XMLTreeNodePtr_t | readTree ()
virtual librevenge::RVNGInputStream * | getImage (const char *path)=0
virtual librevenge::RVNGInputStream * | getObject (const char *path)=0
virtual librevenge::RVNGInputStream * | getStylesheet (const char *path)=0

## Private Member Functions
const XMLTreeNodePtr_t | readTreeImpl (std::string &encoding, bool &encodingChange)
void | processNode (const XMLTreeWalker &node)
void | startElement (const XMLTreeWalker &node)
void | endElement (const XMLTreeWalker &node)
void | text (const XMLTreeWalker &node)
void | startExternalElement (const XMLTreeWalker &node)
void | endExternalElement (const XMLTreeWalker &node)
void | sendParagraph (const XMLTreeWalker &node)
void | sendSpan (const XMLTreeWalker &node)
void | sendTableCell (const XMLTreeWalker &node)
void | sendPreformattedText (const char *ch, int len)
void | sendHeading (const XMLTreeWalker &node, int level)

## Private Attributes
std::shared_ptr< XMLCollector > | m_collector
std::shared_ptr< State > | m_state
std::shared_ptr< librevenge::RVNGInputStream > | m_input
std::shared_ptr< librevenge::RVNGInputStream > | m_workingInput

## Member Enumeration Documentation

## ◆ Dialect

enum libebook::EBOOKHTMLParser::Dialect

Enumerator
DIALECT_UNKNOWN |
DIALECT_HTML |
DIALECT_XHTML |

## Constructor & Destructor Documentation

## ◆ EBOOKHTMLParser()

libebook::EBOOKHTMLParser::EBOOKHTMLParser | ( | librevenge::RVNGInputStream * | input,
|  | Dialect | dialect,
|  | librevenge::RVNGTextInterface * | document
| ) |  |

## ◆ ~EBOOKHTMLParser()

libebook::EBOOKHTMLParser::~EBOOKHTMLParser | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ endElement()

void libebook::EBOOKHTMLParser::endElement | ( | const XMLTreeWalker & | node | ) |
| private

Referenced by processNode().

## ◆ endExternalElement()

void libebook::EBOOKHTMLParser::endExternalElement | ( | const XMLTreeWalker & | node | ) |
| private

## ◆ getImage()

virtual librevenge::RVNGInputStream* libebook::EBOOKHTMLParser::getImage | ( | const char * | path | ) |
| pure virtual

## ◆ getObject()

virtual librevenge::RVNGInputStream* libebook::EBOOKHTMLParser::getObject | ( | const char * | path | ) |
| pure virtual

## ◆ getStylesheet()

virtual librevenge::RVNGInputStream* libebook::EBOOKHTMLParser::getStylesheet | ( | const char * | path | ) |
| pure virtual

## ◆ parse()

void libebook::EBOOKHTMLParser::parse | ( |  | ) |

## ◆ processNode()

void libebook::EBOOKHTMLParser::processNode | ( | const XMLTreeWalker & | node | ) |
| private

Referenced by parse().

## ◆ readTree()

const XMLTreeNodePtr_t libebook::EBOOKHTMLParser::readTree | ( |  | ) |

Referenced by parse().

## ◆ readTreeImpl()

const XMLTreeNodePtr_t libebook::EBOOKHTMLParser::readTreeImpl | ( | std::string & | encoding,
|  | bool & | encodingChange
| ) |  |
| private

Referenced by readTree().

## ◆ sendHeading()

void libebook::EBOOKHTMLParser::sendHeading | ( | const XMLTreeWalker & | node,
|  | int | level
| ) |  |
| private

Referenced by startElement().

## ◆ sendParagraph()

void libebook::EBOOKHTMLParser::sendParagraph | ( | const XMLTreeWalker & | node | ) |
| private

Referenced by sendHeading(), and startElement().

## ◆ sendPreformattedText()

void libebook::EBOOKHTMLParser::sendPreformattedText | ( | const char * | ch,
|  | int | len
| ) |  |
| private

Referenced by text().

## ◆ sendSpan()

void libebook::EBOOKHTMLParser::sendSpan | ( | const XMLTreeWalker & | node | ) |
| private

Referenced by startElement().

## ◆ sendTableCell()

void libebook::EBOOKHTMLParser::sendTableCell | ( | const XMLTreeWalker & | node | ) |
| private

## ◆ startElement()

void libebook::EBOOKHTMLParser::startElement | ( | const XMLTreeWalker & | node | ) |
| private

Referenced by processNode().

## ◆ startExternalElement()

void libebook::EBOOKHTMLParser::startExternalElement | ( | const XMLTreeWalker & | node | ) |
| private

## ◆ text()

void libebook::EBOOKHTMLParser::text | ( | const XMLTreeWalker & | node | ) |
| private

Referenced by processNode().

## Member Data Documentation

## ◆ m_collector

std::shared_ptr<XMLCollector> libebook::EBOOKHTMLParser::m_collector
| private

Referenced by endElement(), parse(), sendParagraph(), sendPreformattedText(), sendSpan(), sendTableCell(), startElement(), and text().

## ◆ m_input

std::shared_ptr<librevenge::RVNGInputStream> libebook::EBOOKHTMLParser::m_input
| private

Referenced by readTree().

## ◆ m_state

std::shared_ptr<State> libebook::EBOOKHTMLParser::m_state
| private

Referenced by endElement(), sendParagraph(), sendSpan(), sendTableCell(), startElement(), and text().

## ◆ m_workingInput

std::shared_ptr<librevenge::RVNGInputStream> libebook::EBOOKHTMLParser::m_workingInput
| private

Referenced by readTree(), and readTreeImpl().

The documentation for this class was generated from the following files:

- EBOOKHTMLParser.h
- EBOOKHTMLParser.cpp